QGIS Application - Bug report #12671
Cursor icon is too small on HiDPI screen
2015-04-30 01:27 AM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20778
Description

Cursor icon size is hardcoded to 16x16 in many parts of the code (for example:
https://github.com/qgis/QGIS/blob/master/src/app/qgisapp.cpp#L2317)

this makes the cursor very difficult to see.

The modification | suggest is to add a new QgsApp method that returns the zoom factor, calculated on a 96 dpi base, this will allow to
resize all GUI parts by multiplying by the zoom factor.

To get current DPI you can use (Python code):

QgsApplication.instance().desktop().physicalDpiX()

The very same method could be used to resize icons and other GUI elements.

Related issues:
Related to QGIS Application - Feature request # 11103: Support for retina dis... Closed 2014-08-26

Associated revisions

Revision 7ae8e164 - 2017-11-27 11:51 AM - Alessandro Pasotti

[bugfix][hidpi] Scalable SVG theme cursors

Add support for SVG cursor:
Zoomin,

ZoomOut,
Identify,
CrossHair,
CapturePoint,
Select,
Sampler,

Icons are provisional: they need some love from

a decent graphics designer.

Fixes #12671

History
https://github.com/qgis/QGIS/blob/master/src/app/qgisapp.cpp#L2317

#1 - 2015-09-21 09:14 AM - Anita Graser
- Assignee set to Alessandro Pasotti

#2 - 2017-03-06 02:41 PM - Giovanni Manghi
- Priority changed from High to Normal

#3 - 2017-04-20 11:45 AM - Anita Graser

- Affected QGIS version changed from 2.8.1 to master
- Target version set to Future Release - High Priority

This is still an issue.

For example, the identify tool cursor is so tiny that it is barely usable.

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-11-24 07:39 PM - Alessandro Pasotti

- Description updated

| have a working prototype and | can fix the C++ side for cursor icons that are
- scalable

- SVG-based

- themable

but I'm not that good at SVG for creating the icons themselves any volunteer?

we need the icons that are listed in this file:

https://github.com/qgis/QGIS/blob/master/src/gui/qgscursors.cpp#L23

#6 - 2017-12-01 09:52 AM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|7ae8e16427e5757d209f6¢cb18d1b247de8ef6be.

#7 - 2017-12-02 06:29 PM - Giovanni Manghi

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/blob/master/src/gui/qgscursors.cpp#L23

